<HTML>
<HEAD>
<TITLE>HEPiX Shells and Login scripts version 3.0.1 (22-Nov-1995)</TITLE>
<!-- Changed by: Arnaud Taddei, 22-Nov-1995 -->


</HEAD>
<BODY>
<H1>HEPiX Shells and Login scripts version 3.0.1</H1>

<HR>

This is a bug fix version of the HEPiX scripts package.
<P>
For a list of features in the 3.0.* HEPiX scripts consult:
<Pre>
	http://wwwcn.cern.ch/hepix/wg/scripts/www/Welcome.html
</Pre>
in the Versions section.
<P>
This version fixes very minor bugs/features:
<UL>
<B><P><LI>    Shell scripts:</B>
<P>
<UL>
<LI> 	the <TT>MANPATH</TT> variable has now the pattern:
<Pre>
		HOME:SUE:SYSTEM:/afs/usr/man:ASIS:CERNLIB
</Pre>
	  note that <TT>/afs/usr/man</TT> comes after the system 
	<TT>MANPATH</TT>.
<LI> 	aliases files were called twice.
<LI>	in tcsh the showdots parameter is now set to '<TT>-A</TT>'. This
	  means that in file name generation . and .. won't appear.
<LI> there was a bug on the AIX PATH which had been fixed.
<LI> the variable <TT>MAILSERVER=mail.cern.ch</TT> is not introduced.
<LI> some tiny bugs had been fixed in the debug mode.
<LI> the zsh prompt is now compatible with the new version of zsh.
</UL>




<B><P><LI>    X11 scripts:</B>
<P>
<UL>
<LI>    the X11 scripts were providing a bad configuration
	  for the (very bad) PC Xvision Xserver (use NCD
	  PCXware instead because it is much better).
<LI> the X font path is not set for the PC Xvision Xserver
 	  because the latter doesn't support this operation.
<LI> the <TT>central_xsession</TT> file calls an explicit ksh instead
	  of sourcing a file. This allows users to use
  	  a special HEPiX <TT>.xinitrc</TT> file 
<Pre>
		/usr/local/lib/hepix/templates/xsession
</Pre>
	  to get the HEPiX environment even if <B>xdm</B> is not running. 
<LI> a system or cluster system administrator can now
 	  customise some caracteristics of the X login panel
	  through
<Pre>
		/etc/hepix/Xresources
</Pre>
	  and 
<Pre>
		/etc/hepix/cluster/Xresources
</Pre>
<LI> adam is not the last client but for PC Xware Xsessions. The window 
	  manager is the last client in all ohter cases.

</UL>



<B><P><LI>    tools:</B>
<P>
<UL>
<LI>  the <B>tklife</B> script had a minor bug (<B>tokens</B> was not available
	  in the PATH). 
<LI>  the <B>uco</B> command menus where not allowing the Cancel item number 0.
</UL>




<B><P><LI>    templates:</B>
<P>
<UL>
<LI> After a user suggestion, another way to define LPDEST had been 
	  added:
<Pre>
	    # setenv LPDEST $PRINTER         # if PRINTER is defined, use it!
</Pre>
	  or 
<Pre>
	    # LPDEST=$PRINTER; export LPDEST # if PRINTER is defined, use it!
</Pre>
          as an example in the templates.
<LI> the path to the <B>quota-warn</B> command was wrong. <B>quota-warn</B>
	  in under <TT>/usr/local/lib/hepix/tools</TT> of course.

</UL>


</UL>



   Contact: Arnaud.Taddei@cern.ch
<HR>
<ADDRESS> <A Name=Signature HREF="http://xwho.cern.ch/WHO/people/26840">Arnaud Taddei</A>, 22-Nov-1995
</ADDRESS>
</BODY>
</HTML>